Name:           gnome-applet-jalali-calendar
Version:        1.7.0
Release:        1%{?dist}
Summary:        Jalali calendar panel applet for GNOME

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://launchpad.net/jalali-calendar/
Source0:        http://launchpad.net/jalali-calendar/trunk/1.7/+download/jalali-calendar-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       gnome-python2-applet gnome-python2-gconf
Requires:       pygtk2-libglade
Requires:       gnome-python2-gnome
BuildRequires:  python

%description
Jalali calendar applet for the GNOME desktop.
Features:
1. Displays holidays
2. Displays day names
3. Calendar event management (Adding birthdays, etc)

%prep
%setup -n jalali-calendar-%{version} -q

%build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR="%{_prefix}/lib/"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README 
%{_prefix}/lib/bonobo/servers/*
%{_datadir}/jalali-calendar

%changelog
* Sun May 02 2010 Hedayat Vatankhah <hedayat@grad.com> - 1.7.0-1
- Updated to the new version

* Thu Jan 07 2010 Hedayat Vatankhah <hedayat@grad.com> - 1.6.8-3
- Added a patch to use Calverter algorithm to calculate jalali dates
  (patch contributed by Adrin Jalali)

* Fri Aug 28 2009 Hedayat Vatankhah <hedayat@grad.com> - 1.6.8-2
- Added a patch to prevent trying to iterate over an empty list

* Fri Aug 07 2009 Hedayat Vatankhah <hedayat@grad.com> 1.6.8-1
- Updated to 1.6.8 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Hedayat Vatankhah <hedayat@grad.com> 1.6.7-1
- Updated to 1.6.7 release (which contains info about year 1388)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.5-4
- Rebuild for Python 2.6

* Sun Sep 21 2008 Hedayat Vatankhah <hedayat@grad.com> 1.6.5-3
- Fixed dependencies for Fedora 10
- Removed redundant dependencies

* Sun Sep 21 2008 Hedayat Vatankhah <hedayat@grad.com> 1.6.5-2
- Added missing dependencies
- Using lib directory even on x86_64 platforms to be a noarch package

* Fri Sep 12 2008 Hedayat Vatankhah <hedayat@grad.com> 1.6.5-1
- Initial version
